ros-melodic-pluginlib (1.12.1-0bionic) bionic; urgency=high

  * [warning fix] remove deprecation warning until users are required to change code (#115 <https://github.com/ros/pluginlib/issues/115>)
  * [warning fix] move catkinFindLib implementation from anonymous namespace to getCatkinLibraryPaths (#113 <https://github.com/ros/pluginlib/issues/113>)
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 27 Apr 2018 07:00:00 -0000

ros-melodic-pluginlib (1.12.0-0bionic) bionic; urgency=high

  * [warning fix]Cherry-pick #103 <https://github.com/ros/pluginlib/issues/103> to melodic-devel (#105 <https://github.com/ros/pluginlib/issues/105>)
  * [migration helper] provide a script to convert include statements to use new headers (#104 <https://github.com/ros/pluginlib/issues/104>)
  * [migration] use new class_loader headers and fix deprecation warnings (#101 <https://github.com/ros/pluginlib/issues/101>)
  * [bugfix] Continue loading classes on error (#85 <https://github.com/ros/pluginlib/issues/85>) (#88 <https://github.com/ros/pluginlib/issues/88>)
  * [style] Fix cpplint and lint_cmake errors (#84 <https://github.com/ros/pluginlib/issues/84>)
  * move pluginlib in its own folder (#83 <https://github.com/ros/pluginlib/issues/83>)
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 14 Mar 2018 07:00:00 -0000

ros-melodic-pluginlib (1.11.0-0bionic) bionic; urgency=high

  * Switch to Tinyxml2 (#59 <https://github.com/ros/pluginlib/issues/59>)
  * do not use popen to solve catkin_path. (#49 <https://github.com/ros/pluginlib/issues/49>)
  * switch to package format 2 (#55 <https://github.com/ros/pluginlib/issues/55>)
  * remove trailing whitespaces (#54 <https://github.com/ros/pluginlib/issues/54>)
  * Contributors: Dmitry Rozhkov, Koji Terada, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-melodic-pluginlib (1.10.5-0bionic) bionic; urgency=high

  * Merge pull request #47 <https://github.com/ros/pluginlib/issues/47> from ros/fix_conversion
    fix size_t to int conversion
  * fix int conversion
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 27 Mar 2017 07:00:00 -0000

ros-melodic-pluginlib (1.10.4-0bionic) bionic; urgency=high

  * Merge pull request #42 <https://github.com/ros/pluginlib/issues/42> from delftrobotics-forks/unique-ptr
    Add std::unique_ptr API
  * Add unit test for unique_ptr API.
  * Simplify unit tests with ASSERT_THROW.
  * Add ClassLoader::createUniqueInstance.
  * Wrap long comment on createInstance and friend.
  * Throw exception if plugin.xml is broken (#41 <https://github.com/ros/pluginlib/issues/41>)
    * added test case for broken xml files with missing attributes of class tag
    * added checks if all needed attributes of the class tag are existing
    * removed comment and empty line
  * Contributors: Maarten de Vries, Mikael Arguedas, cwecht

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 20 Sep 2016 07:00:00 -0000

ros-melodic-pluginlib (1.10.3-0bionic) bionic; urgency=high

  * Merge pull request #40 <https://github.com/ros/pluginlib/issues/40> from ros/fix_warnings
    fix deprecated warnings in unit tests
  * fix deprecated warnings in unit tests
  * removed merge messages and redundant commits
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 22 Jun 2016 07:00:00 -0000

ros-melodic-pluginlib (1.10.2-0bionic) bionic; urgency=high

  * Remove Boost Software License from license tag #35 <https://github.com/ros/pluginlib/issues/35>
  * Throw an exception if ClassLoader can't be instantiated due to an invalid package name #34 <https://github.com/ros/pluginlib/issues/34>
  * Add ":" to split function within getName. #33 <https://github.com/ros/pluginlib/issues/33>
  * Contributors: Esteve Fernandez, Jochen Sprickerhof, Mikael Arguedas, Mike O'Driscoll

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 14 Mar 2016 07:00:00 -0000

ros-melodic-pluginlib (1.10.1-0bionic) bionic; urgency=high

  * Remove GTEST_FOUND from CMakeLists.txt
  * Check that GTest is installed before running tests.
  * Moved plugin_macro_update script to scripts directory. Made plugin_macro_update rosrunnable and removed it from global PATH #29 <https://github.com/ros/pluginlib/issues/29>
  * Contributors: Esteve Fernandez

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 23 Dec 2014 08:00:00 -0000

ros-melodic-pluginlib (1.10.0-0bionic) bionic; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 08 May 2014 21:56:00 -0000

ros-melodic-pluginlib (1.9.25-0bionic) bionic; urgency=high

  * Use cmake_modules to find TinyXML #26 <https://github.com/ros/pluginlib/issues/26>
  * Check for release libraries in debug builds #25 <https://github.com/ros/pluginlib/issues/25>
  * update refreshDeclaredClasses to force recrawl (fix #23 <https://github.com/ros/pluginlib/issues/23>)
  * Contributors: Dirk Thomas, Esteve Fernandez

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 09 May 2014 03:37:00 -0000

ros-melodic-pluginlib (1.9.24-0bionic) bionic; urgency=high

  * Remove invalid exception when no plugins are found #22 <https://github.com/ros/pluginlib/issues/22>
  * Update maintainer field
  * Contributors: Dirk Thomas, Esteve Fernandez

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 11 Mar 2014 07:00:00 -0000

ros-melodic-pluginlib (1.9.23-0bionic) bionic; urgency=high

  * expose plugin paths in ClassLoader #21 <https://github.com/ros/pluginlib/issues/21>
  * Contributors: Dirk Thomas, Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 04 Oct 2013 07:00:00 -0000

ros-melodic-pluginlib (1.9.22-0bionic) bionic; urgency=high

  * Fixed use of __FILE__ macro in deprecation warning
  * Added libdl to plugin_tool link args...temporary fix
  * Contributors: Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 21 Aug 2013 07:00:00 -0000

ros-melodic-pluginlib (1.9.21-0bionic) bionic; urgency=high

  * Added file hint for deprecated warnings. #16 <https://github.com/ros/pluginlib/issues/16>
  * check for CATKIN_ENABLE_TESTING
  * remove mainpage.dox
  * Contributors: Dane Powell, Dirk Thomas, Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 14 Jul 2013 07:00:00 -0000

ros-melodic-pluginlib (1.9.20-0bionic) bionic; urgency=high

  * Added another unit test for managed instance case.
  * Fixed a regression that broke unload call. Added a unit test for this case.
  * Contributors: Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 18 Apr 2013 07:00:00 -0000

ros-melodic-pluginlib (1.9.19-0bionic) bionic; urgency=high

  * Converted ROS_DEBUG and ROS_WARN calls to ROS_DEBUG_NAMED and ROS_WARN_NAMED calls #13 <https://github.com/ros/pluginlib/issues/13>
  * Contributors: Dave Coleman, Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sat, 23 Mar 2013 07:00:00 -0000

ros-melodic-pluginlib (1.9.18-0bionic) bionic; urgency=high

  * Support for boost filesystem v2 #11 <https://github.com/ros/pluginlib/issues/11>
  * Added more debug information
  * Contributors: Mario Prats, Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 28 Jan 2013 08:00:00 -0000

ros-melodic-pluginlib (1.9.17-0bionic) bionic; urgency=high

  * More useful debug messages
  * Fixed incorrect debug message in plugin description XML parsing
  * Contributors: Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 27 Dec 2012 08:00:00 -0000

ros-melodic-pluginlib (1.9.16-0bionic) bionic; urgency=high

  * Removed old file
  * Annotated deprecation warning with more info
  * Made python script global installable
  * Added a script to recursively update deprecated pluginlib macro
  * added missing license header
  * modified dep type of catkin
  * Contributors: Aaron Blasdel, Dirk Thomas, Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 21 Dec 2012 08:00:00 -0000

ros-melodic-pluginlib (1.9.15-0bionic) bionic; urgency=high

  * Updated registration macros to be easier and deprecated older ones. Also cleaned up code violating standard
  * Added wg copyright notice
  * Contributors: Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 14 Dec 2012 01:22:00 -0000

ros-melodic-pluginlib (1.9.14-0bionic) bionic; urgency=high

  * lookup name (i.e. magic name) is now optional. Further cleanup...alphabetized methods, broke up some.
  * Contributors: Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 13 Dec 2012 23:20:00 -0000

ros-melodic-pluginlib (1.9.13-0bionic) bionic; urgency=high

  * Made robust to plugin package having different name from the folder it came from. ```#6 <https://github.com/ros/pluginlib/issues/6`_``
  * Contributors: Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 11 Dec 2012 08:00:00 -0000

ros-melodic-pluginlib (1.9.12-0bionic) bionic; urgency=high

  * Cleaned up debug output a little more
  * Contributors: Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 06 Dec 2012 08:00:00 -0000

ros-melodic-pluginlib (1.9.11-0bionic) bionic; urgency=high

  * Fixed a regression that somehow got back in there that was causing a race condition in multithreaded code, this will fix gazebo issues
  * Bug fixes
  * Contributors: Mirza Shah, mirzashah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 26 Nov 2012 08:00:00 -0000

ros-melodic-pluginlib (1.9.10-0bionic) bionic; urgency=high

  * Created plugintool
  * Contributors: Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 21 Nov 2012 08:00:00 -0000

ros-melodic-pluginlib (1.9.9-0bionic) bionic; urgency=high

  * Minor fix where library was being unloaded for old load/unload reference counting, not needed anymore as class_loader handles that
  * Contributors: Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 16 Nov 2012 08:00:00 -0000

ros-melodic-pluginlib (1.9.8-0bionic) bionic; urgency=high

  * refactored to return reasonable library path before loading the library
  * Updated registration macros to correct legacy PLUGINLIB_REGISTER_CLASS macro as well as cleaned up comments
  * Contributors: Dirk Thomas, Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 14 Nov 2012 08:00:00 -0000

ros-melodic-pluginlib (1.9.7-0bionic) bionic; urgency=high

  * updated catkin_package(DEPENDS)
  * add missing Boost_INCLUDE_DIRS
  * Contributors: Dirk Thomas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 08 Nov 2012 08:00:00 -0000

ros-melodic-pluginlib (1.9.6-0bionic) bionic; urgency=high

  * Added more debug messages and fixed a bug where managed instances do not auto open library
  * Contributors: Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 07 Nov 2012 08:00:00 -0000

ros-melodic-pluginlib (1.9.5-0bionic) bionic; urgency=high

  * Changed ROS_ERROR to ROS_DEBUG
  * Contributors: Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 06 Nov 2012 08:00:00 -0000

ros-melodic-pluginlib (1.9.4-0bionic) bionic; urgency=high

  * Removed more cruft and made pluginlib header only
  * Removed unnecessary boost_fs_wrapper target, pluginlib now purely header only
  * Made error message more meaningful
  * Contributors: Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 05 Nov 2012 08:00:00 -0000

ros-melodic-pluginlib (1.9.3-0bionic) bionic; urgency=high

  * Fix to check for package.xml and not just manifest.xml when trying to verify a package. #1 <https://github.com/ros/pluginlib/issues/1>
  * Contributors: Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 31 Oct 2012 07:00:00 -0000

ros-melodic-pluginlib (1.9.2-0bionic) bionic; urgency=high

  * fixed deps for downstream packages
  * Contributors: Dirk Thomas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 25 Oct 2012 07:00:00 -0000

ros-melodic-pluginlib (1.9.1-0bionic) bionic; urgency=high

  * fix missing and redundant deps for downstream projects
  * Contributors: Dirk Thomas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 25 Oct 2012 05:02:00 -0000

ros-melodic-pluginlib (1.9.0-0bionic) bionic; urgency=high

  * renamed test target
  * remove obsolete files
  * Fixed dependency in package.xml and minor touchups
  * Broke up code into further files
  * Catkinized pluginlib and completed integration more or less with class_loader. Heavy mods to pluginlib::ClassLoader to handle constraints of Catkin as well as delegate housekeeping to class_loader::ClassLoader
  * Updated to utilize newly renamed class_loader (formerly plugins) library with new file names, functions, identifiers, etc
  * Removed explicit dependency that should have been automatically imported from dependent package in CMakeLists.txt
  * Fixed unhandled exception to make all unit tests pass
  * Removed mention of console bridge in CMakeLists.txt, plugins now probably exports
  * Finished mods to utilize lower level plugins library. One test still failing, will get to that soon, but basics seem to be ok
  * Modding pluginlib to use new plugins library. Not done, but just doing it tosync with my laptop
  * Removed Poco and updated CMake and manifest files to depend on lower level plugins library
  * Contributors: Dirk Thomas, Mirza Shah, mirzashah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 25 Oct 2012 01:31:00 -0000

ros-melodic-pluginlib (1.8.6-0bionic) bionic; urgency=high

  * added missing boost include dirs and runtime dependency
  * updated cmake min version to 2.8.3
  * Contributors: Dirk Thomas, Vincent Rabaud

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 09 Oct 2012 07:00:00 -0000

ros-melodic-pluginlib (1.8.5-0bionic) bionic; urgency=high

  * add missing roslib dependency that happens in class_loader_imp.h
  * Contributors: Vincent Rabaud

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 01 Oct 2012 07:00:00 -0000

ros-melodic-pluginlib (1.8.4-0bionic) bionic; urgency=high

  * updated to latest catkin
  * Contributors: Dirk Thomas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 30 Sep 2012 07:00:00 -0000

ros-melodic-pluginlib (1.8.3-0bionic) bionic; urgency=high

  * added tinyxml to project depends
  * Contributors: Dirk Thomas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 07 Sep 2012 07:00:00 -0000

ros-melodic-pluginlib (1.8.2-0bionic) bionic; urgency=high

  * updated pkg-config in manifest.xml
  * updated catkin variables
  * Contributors: Dirk Thomas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 06 Sep 2012 07:00:00 -0000

ros-melodic-pluginlib (1.8.1-0bionic) bionic; urgency=high

  * Missing LIBRARIES and DEPENDS specifiers from CMakeLists.txt, now added.
  * catkin-ized
  * updated api doc for load/create/unload methods
  * renamed new methods using shorter name for encouraged method
  * added cmake macro for hiding plugin symbols and respective rosbuild export
  * updated class loader according to updated REP 121
  * add auto-unload for libraries using boost shared pointer
  * pluginlib: added a pure-virtual base class for ClassLoader called ClassLoaderBase, which is not templated.  Only one function of ClassLoader is actually templated.  This allows client code to not be templated where it doesn't need to be.
  * patch 4 for #4887 <https://github.com/ros/pluginlib/issues/4887>
  * ignore bin
  * accepting patch from ticket #4887 <https://github.com/ros/pluginlib/issues/4887> REP 116 implementation
  * add explicit link against tinyxml, because users of our libraries will need to link against it
  * link poco_lite with tinyxml
  * remove namespace to be compatible with tinyxml sysdep
  * removing back depend on common
  * removing rosdep.yaml, rule is in ros/rosdep.yaml
  * fixed tinyxml
  * converting to unary stack (separated from common)
  * applied patch from 4923, to support boost 1.46
  * patch from Nick Butko osx compatability
  * adding unittest melonee forgot to commit
  * adding pluginlib tests
  * patch for osx linking #4094 <https://github.com/ros/pluginlib/issues/4094>
  * Fixed exception comments
  * Added Ubuntu platform tags to manifest
  * Fixing bug where the incorrect library path was passed to dlopen from pluginlib... oops.
  * fix in latest for #4013 <https://github.com/ros/pluginlib/issues/4013> to isolate boost filesystem calls into a library
  * patch from Wim #3346 <https://github.com/ros/pluginlib/issues/3346> reviewed by Eitan and I
  * Adding getName and isClassAvailable function calls to the class loader
  * inlining to avoid multiple definitions
  * macro deprecation
  * adding warning about deprecated macro PLUGINLIB_REGISTER_CLASS
  * pluginlib now takes pkg/type arguments, new macro PLUGINLIB_DECLARE_CLASS
  * pluginlib now robust to malformed manifests
  * Adding more descriptive error messages when libaries fail to load
  * Remove use of deprecated rosbuild macros
  * doc review completed http://www.ros.org/wiki/pluginlib/Reviews/2009-10-06_Doc_Review
  * fixing documentation link
  * fixing #2894 <https://github.com/ros/pluginlib/issues/2894>
  * Removing ROS_ERRORS in favor of adding information to the exceptions thrown
  * migration part 1
  * Contributors: Dave Hershberger, Dirk Thomas, Ken Conley, Mirza Shah, Tully Foote, eitan, gerkey, kwc, mwise, rusu, tfoote, vpradeep, wheeler

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 04 Sep 2012 07:00:00 -0000


